# wxGridHeaderLabelsRenderer Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/grid.h>`

Inheritance diagram for wxGridHeaderLabelsRenderer:
[legend]

## Detailed Description

Common base class for row and column headers renderers.

See also:
  wxGridColumnHeaderRenderer, wxGridRowHeaderRenderer

Since:
  2.9.1

## Public Member Functions

virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label.

List of all members.

## Member Function Documentation

virtual void wxGridHeaderLabelsRenderer::DrawLabel | ( | const wxGrid & | grid,
|  | wxDC & | dc,
|  | const wxString & | value,
|  | const wxRect & | rect,
|  | int | horizAlign,
|  | int | vertAlign,
|  | int | textOrientation |
| ) |  |  | const`[virtual]`

Called by the grid to draw the specified label.

Notice that the base class DrawBorder() method is called before this one.

The default implementation uses wxGrid::GetLabelTextColour() and wxGrid::GetLabelFont() to draw the label.

|  | [ top ]